form {
    display: block;
    width: 100%;
    margin: 0 40px;

    input {
        width: 100%;
        padding: 23px 10px;
        box-sizing: border-box;
        border: 3px solid rgba(0, 0, 0, 0);
        border-radius: 5px;
        background: #d9d9d9;
        font-size: 17px;
        font-weight: 700;
        color: #555;
        outline: 0;
        .tr;

        &:hover {
            background: #bfbfbf;
        }

        &:focus {
            border: 3px solid rgba(115, 115, 115, 0.8);
            background: #fff;
        }
    }

    input:focus + label, input:not(:placeholder-shown) + label {
        top: 15px;
        left: 13px;
        font-size: 13px;
        opacity: 0.4;
    }

    label {
        color: #7b7b7b;
        font-weight: bold;
        .tr;

        &.survol {
            position: absolute;
            top: 50%;
            left: 15px;
            transform: ~"translateY(-50%)";
            pointer-events: none;
        }
    }


    div {
        position: relative;
        display: flex;
        margin: 0 0 20px;

        &:focus {
            label {
                opacity: 0;
            }
        }

        label.all_connect {
            position: relative;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            flex: ~"calc(100% - 120px)";
            margin-right: 20px;

            input {
                position: absolute;
                opacity: 0;
            }

            span.checkbox_case {
                display: flex;
                margin: 0 12px;
                width: 20px;
                height: 20px;
                background: #a2a2a2;
                border-radius: 5px;
            }

            span.checkbox_text {
                font-weight: bold;
                color: #fff;
            }
        }

        label.submit {
            position: relative;
            flex-basis: 100px;
            padding: 12px 15px;
            box-sizing: border-box;
            border: 3px solid #952323;
            border-radius: 5px;
            margin: 0;
            font-weight: 600;
            color: #fff;
            background: #952323;
            cursor: pointer;

            &:hover, &:focus {
                background: #fff;

                &::before {
                    color: #952323;
                }
            }

            &::before {
                content: '\f061';
                font-size: 22px;
                .fas;
            }

            .submit {
                position: absolute;
                opacity: 0;
                cursor: pointer;
                margin-bottom: 0;
            }
        }
    }
}